package com.kingdee.eas.custom.compensation.basedata;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.shr.base.syssetting.SHRBaseItem;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.eas.custom.compensation.basedata.app.*;
import com.kingdee.bos.framework.*;
import com.kingdee.shr.base.syssetting.ISHRBaseItem;

public class CostCenter extends SHRBaseItem implements ICostCenter
{
    public CostCenter()
    {
        super();
        registerInterface(ICostCenter.class, this);
    }
    public CostCenter(Context ctx)
    {
        super(ctx);
        registerInterface(ICostCenter.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("579A1746");
    }
    private CostCenterController getController() throws BOSException
    {
        return (CostCenterController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public CostCenterInfo getCostCenterInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getCostCenterInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public CostCenterInfo getCostCenterInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getCostCenterInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public CostCenterInfo getCostCenterInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getCostCenterInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public CostCenterCollection getCostCenterCollection() throws BOSException
    {
        try {
            return getController().getCostCenterCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public CostCenterCollection getCostCenterCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getCostCenterCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public CostCenterCollection getCostCenterCollection(String oql) throws BOSException
    {
        try {
            return getController().getCostCenterCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}